- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: b8a70853-bc01-46c7-ac28-6d51bdafbf90
    creation_time: 2023-02-17T13:39:49.992991Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-new/count_by_nondet.i
      input_file_hashes:
        c/loop-new/count_by_nondet.i: 3467a31f3cd19e731a18eaf7789079f202f3b29e437ef24ddd0458f09610424d
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-new/count_by_nondet.i
    file_hash: 3467a31f3cd19e731a18eaf7789079f202f3b29e437ef24ddd0458f09610424d
    line: 27
    column: 0
    function: main
  loop_invariant:
    string: k <= 1000000 && k <= i
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 0c3f7a30-9e25-40a6-9d98-1be2aeed8d6d
    creation_time: 2023-02-17T13:39:49.993368Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-new/count_by_nondet.i
      input_file_hashes:
        c/loop-new/count_by_nondet.i: 3467a31f3cd19e731a18eaf7789079f202f3b29e437ef24ddd0458f09610424d
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-new/count_by_nondet.i
    file_hash: 3467a31f3cd19e731a18eaf7789079f202f3b29e437ef24ddd0458f09610424d
    line: 34
    column: 0
    function: main
  location_invariant:
    string: k <= 1000000
    type: assertion
    format: C

